# pengli_iot

鹏力视觉系统数据采集到mysql

## 目录结构

main:主程序及配置文件

test:模拟机台的tcp服务器

## 安装

运行环境为python3,需要有pymysql包

### ubuntu下安装python3
```bash
sudo apt install python3 python3-pip
```

### centOS下安装python3

```bash
sudo yum install python38
```

### 安装pymysql包

```bash
pip3 install pymysql
```

## 配置

```JSON
{
    "logLevel":"debug",//日志等级debug,info,warning,error
    "dataBase":{
        "host":"192.168.40.2",//数据库地址
        "port":3306,//数据库端口号
        "username":"usrname",//数据库用户名
        "password":"password",//密码
        "Database":"pengli_iot"//数据库
    },
    "machineList":[//机台列表
    {
        "host":"192.168.40.151",//机台IP
        "port":7777,//机台端口号
        "name":"machine1"//机台名称
    },
    {
        "host":"127.0.0.1",
        "port":8001,
        "name":"machine1"
    }
]
}
```

## 运行

```bash
/usr/bin/python3 main.py
```